Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1224471

Summary: gogoc generates incorrect configuration for radvd when configured as a router
Product: [Fedora] Fedora Reporter: Nick Urbanik <nicku>
Component: gogocAssignee: Juan Orti <jorti>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: jorti
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: gogoc-1.2-49.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-13 09:51:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1224403    
Bug Blocks:    

Description Nick Urbanik 2015-05-23 10:39:37 UTC
Description of problem:
when gogoc is configured as "host_type=router", it generates configuration for radvd-1.12, not for radvd-2.8, and dies completely.

Version-Release number of selected component (if applicable):
gogoc-1.2-41.fc22.x86_64
radvd-2.8-1.fc22.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Configure gogoc with "host_type=router", use broker.aarnet.net.au
2. start gogoc
3. See it die in the logs after radvd fails.

Actual results:
NO IPv6 configuration from the broker.

Expected results:
Expect IPv6 addresss, and IPv6 addresses for all other machines behind the router.

Additional info:
WORKAROUND: build gogoc-1.2-41.fc22.x86_64 in mock from Fedora 21, restart gogoc, and then it all works again.

Comment 1 Fedora Update System 2015-11-25 18:41:00 UTC
gogoc-1.2-47.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b7265d9eb4

Comment 2 Fedora Update System 2015-11-25 18:41:33 UTC
gogoc-1.2-47.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-245d764be1

Comment 3 Fedora Update System 2015-11-26 02:24:27 UTC
gogoc-1.2-47.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gogoc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-245d764be1

Comment 4 Fedora Update System 2015-11-26 02:53:05 UTC
gogoc-1.2-47.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gogoc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b7265d9eb4

Comment 5 Nick Urbanik 2015-11-28 08:21:18 UTC
diff -Nur between source in gogoc-1.2-46.fc23 and gogoc-1.2-47.fc23 shows no differences????  Only in the spec file.
However, somcething seems to have changed in the radvd package so that it now works:
gogoc-1.2-46.fc23.x86_64
radvd-2.11-3.fc23.x86_64

Comment 6 Juan Orti 2015-11-28 09:53:55 UTC
This is the commit of the update:
http://pkgs.fedoraproject.org/cgit/gogoc.git/commit/?id=abc19d929ee275fac5a78e9d75844105ea3084d2

Basically I've added the CAP_DAC_OVERRIDE capability to allow gogoc to write the radvd pid file.

Comment 7 Fedora Update System 2015-12-03 07:39:01 UTC
gogoc-1.2-48.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-245d764be1

Comment 8 Fedora Update System 2015-12-03 20:20:42 UTC
gogoc-1.2-47.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-12-04 02:22:01 UTC
gogoc-1.2-48.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gogoc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-245d764be1

Comment 10 Fedora Update System 2015-12-04 06:59:07 UTC
gogoc-1.2-49.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-245d764be1

Comment 11 Fedora Update System 2015-12-04 17:20:49 UTC
gogoc-1.2-49.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gogoc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-245d764be1

Comment 12 Fedora Update System 2015-12-13 09:51:47 UTC
gogoc-1.2-49.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.